-- MySQL dump 10.11
--
-- Host: localhost    Database: 110725-monitor-dba
-- ------------------------------------------------------
-- Server version	5.0.51a-24+lenny5

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `check_astrad`
--

DROP TABLE IF EXISTS `check_astrad`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `check_astrad` (
  `ast_host` varchar(80) NOT NULL default '',
  `reception` datetime NOT NULL default '0000-00-00 00:00:00',
  `verif` smallint(5) unsigned default NULL,
  `desc_` text,
  PRIMARY KEY  (`ast_host`,`reception`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

/*!50003 SET @SAVE_SQL_MODE=@@SQL_MODE*/;

DELIMITER ;;
/*!50003 SET SESSION SQL_MODE="" */;;
/*!50003 CREATE */ /*!50017 DEFINER=`root`@`localhost` */ /*!50003 TRIGGER `Trg_Insert_check_astrad` AFTER INSERT ON `check_astrad` FOR EACH ROW BEGIN
DECLARE DATE_ datetime default NULL;
SET DATE_=(select from_unixtime(round(unix_timestamp(NEW.reception)/(60*30))*(60*30)));
IF (DATE_ > NEW.reception) THEN 
SET DATE_=DATE_ADD(DATE_, INTERVAL -30 MINUTE);
END IF;
INSERT INTO monit_graph VALUES (SUBSTRING_INDEX(NEW.ast_host, '.', 1),DATE_,NEW.verif,'check_astrad',CONCAT("ast_host='",NEW.ast_host,"' AND reception='",NEW.reception,"'")) ON DUPLICATE KEY UPDATE verif=NEW.verif, key_=CONCAT(key_," OR ast_host='",NEW.ast_host,"' AND reception='",NEW.reception,"'");
END */;;

DELIMITER ;
/*!50003 SET SESSION SQL_MODE=@SAVE_SQL_MODE*/;

--
-- Table structure for table `check_dba`
--

DROP TABLE IF EXISTS `check_dba`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `check_dba` (
  `dba_host` varchar(80) NOT NULL default '',
  `reception` datetime NOT NULL default '0000-00-00 00:00:00',
  `max_expires` datetime default NULL,
  `time_diff` int(5) default '0',
  `verif` smallint(5) unsigned default NULL,
  PRIMARY KEY  (`dba_host`,`reception`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

/*!50003 SET @SAVE_SQL_MODE=@@SQL_MODE*/;

DELIMITER ;;
/*!50003 SET SESSION SQL_MODE="" */;;
/*!50003 CREATE */ /*!50017 DEFINER=`root`@`localhost` */ /*!50003 TRIGGER `Trg_Insert_check_dba` AFTER INSERT ON `check_dba` FOR EACH ROW BEGIN
DECLARE DATE_ datetime default NULL;
SET DATE_=(select from_unixtime(round(unix_timestamp(NEW.reception)/(60*30))*(60*30)));
INSERT INTO monit_graph VALUES (SUBSTRING_INDEX(NEW.dba_host, '.', 1),DATE_,NEW.verif,'check_dba',CONCAT("dba_host='",NEW.dba_host,"' AND reception='",NEW.reception,"'")) ON DUPLICATE KEY UPDATE verif=NEW.verif, key_=CONCAT(key_,"OR dba_host='",NEW.dba_host,"' AND reception='",NEW.reception,"'");
END */;;

DELIMITER ;
/*!50003 SET SESSION SQL_MODE=@SAVE_SQL_MODE*/;

--
-- Table structure for table `check_rep`
--

DROP TABLE IF EXISTS `check_rep`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `check_rep` (
  `id` int(100) unsigned NOT NULL auto_increment,
  `date` datetime NOT NULL,
  `master` varchar(80) NOT NULL default '',
  `slave` varchar(80) NOT NULL default '',
  `Master_Log_File` varchar(80) default NULL,
  `Master_Log_Pos` int(10) unsigned default NULL,
  `Slave_Log_File` varchar(80) default NULL,
  `Slave_Log_Pos` int(10) unsigned default NULL,
  `Slave_IO_State` text,
  `Slave_Last_Errno` int(10) default NULL,
  `Slave_Last_Error` text,
  `count_tab` text,
  `sum_tab` text,
  `status` int(1) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `monitor_id` (`date`,`master`,`slave`)
) ENGINE=MyISAM AUTO_INCREMENT=698 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

/*!50003 SET @SAVE_SQL_MODE=@@SQL_MODE*/;

DELIMITER ;;
/*!50003 SET SESSION SQL_MODE="" */;;
/*!50003 CREATE */ /*!50017 DEFINER=`root`@`localhost` */ /*!50003 TRIGGER `Trg_Insert_check_rep` AFTER INSERT ON `check_rep` FOR EACH ROW BEGIN
DECLARE DATE_ datetime default NULL;
SET DATE_=(select from_unixtime(round(unix_timestamp(NEW.date)/(60*30))*(60*30)));
IF (DATE_ > NEW.date) THEN 
SET DATE_=DATE_ADD(DATE_, INTERVAL -30 MINUTE);
END IF;
INSERT INTO monit_graph VALUES (CONCAT(SUBSTRING_INDEX(NEW.master, '.', 1),'->',SUBSTRING_INDEX(NEW.slave, '.', 1)),DATE_,NEW.status,'check_rep',CONCAT('id=',NEW.id)) ON DUPLICATE KEY UPDATE verif=NEW.status, key_=CONCAT(key_," OR id='",NEW.id);
END */;;

DELIMITER ;
/*!50003 SET SESSION SQL_MODE=@SAVE_SQL_MODE*/;

--
-- Table structure for table `monit_graph`
--

DROP TABLE IF EXISTS `monit_graph`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `monit_graph` (
  `label` varchar(80) NOT NULL default '',
  `date_` datetime NOT NULL default '0000-00-00 00:00:00',
  `verif` smallint(5) unsigned default NULL,
  `table_` varchar(80) NOT NULL default '',
  `key_` text,
  PRIMARY KEY  (`label`,`date_`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping routines for database '110725-monitor-dba'
--
DELIMITER ;;
DELIMITER ;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2011-07-27  9:48:34
